WAIT_ON_BIT_ACTION(9)

NAME
wait_on_bit_action - wait for a bit to be cleared

SYNOPSIS

int wait_on_bit_action(void * word, int bit, wait_bit_action_f * action, unsigned mode);

ARGUMENTS

word
    the word being waited on, a kernel virtual address

bit
    the bit of the word being waited on

action
    the function used to sleep, which may take special actions

mode
    the task state to sleep in

DESCRIPTION

Use the standard hashed waitqueue table to wait for a bit to be cleared, and allow the waiting action to be specified. This is like wait_on_bit but allows fine control of how the waiting is done.

Returned value will be zero if the bit was cleared, or non-zero if the process received a signal and the mode permitted wakeup on that signal.

COPYRIGHT